Skip to main content

GET /v1/zhihu/web/fetch_pin_comments

Get Zhihu Pin Comments

stable · 2 credits per success

Get the comments of a Zhihu pin;pin_id: Pin ID;order_by: Sort, score=default, ts=newest;limit: Number of comments per page;offset: Offset, take the cursor from the response for paging;Zhihu Pin Comments

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/zhihu/web/fetch_pin_comments?limit=20&offset=demo&pin_id=2050290260991534603&order_by=score' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
data[ 2 items ]
counts{ 4 items }
header[ 0 items ]
paging{ 5 items }
sorter[ 2 items ]
edit_status{ 2 items }
comment_status{ 3 items }
ad_plugin_infos[ 0 items ]
is_content_author:false
is_content_rewardable:false
atmosphere_voting_config{ 6 items }
}
meta{
endpoint:"zhihu.web.fetch_pin_comments"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    limitstringqueryno每页评论数量20
    offsetstringqueryno偏移量,翻页用返回里的游标demo
    pin_idstringqueryyes想法ID2050290260991534603
    order_bystringqueryno排序方式:score=默认,ts=最新score

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Zhihu endpoints →

    Search

    Search endpoints and docs